Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227095 - Review Request: plexus-appserver-1.0-0.a5.3jpp - Plexus Application Server
Summary: Review Request: plexus-appserver-1.0-0.a5.3jpp - Plexus Application Server
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:49 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-28 01:03:53 UTC
nsantos: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:49:44 UTC
Spec URL: http://people.redhat.com/rafaels/specs/plexus-appserver-1.0-0.a5.3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/plexus-appserver-1.0-0.a5.3jpp.src.rpm
Description: The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

Javadoc for plexus-appserver.

Comment 2 Tania Bento 2007-02-20 19:19:21 UTC
Sorry... I posted that in the wrong bug.  

Comment 4 Nuno Santos 2007-02-20 21:46:52 UTC
plexus-appserver-1.0-0.1.a5.3jpp.1.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify

MUST:
OK * package is named appropriately
OK - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for
consistency
OK - specfile should be %{name}.spec
OK - non-numeric characters should only be used in Release (ie. cvs or
   something)
OK - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
OK - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK * is it legal for Fedora to distribute this?
OK - OSI-approved
OK - not a kernel module
OK - not shareware
OK - is it covered by patents?
OK - it *probably* shouldn't be an emulator
OK - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK * specfile name matches %{name}
OK * verify source and patches (md5sum matches upstream, know what the patches do)
OK * skim the summary and description for typos, etc.
OK * correct buildroot
OK * if %{?dist} is used, it should be in that form (note the ? and %
locations)
NA * license text included in package and marked with %doc
OK * keep old changelog entries; use judgement when removing (too old?
useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
NO * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there

--
$ rpmlint plexus-appserver-1.0-0.1.a5.3jpp.1.src.rpm 
W: plexus-appserver non-standard-group Development/Java
W: plexus-appserver mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 91)
(minor warnings, should be fine)
--

OK * changelog should be in one of these formats:
OK * Packager tag should not be used
OK * Vendor tag should not be used
OK * use License and not Copyright 
OK * Summary tag should not end in a period
NA * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
?? * package successfully compiles and builds on at least x86
?? * BuildRequires are proper
OK * summary should be a short and concise description of the package
OK * description expands upon summary (don't include installation
instructions)
NO * make sure lines are <= 80 characters

--
lines 59, 147, 153 are longer than 80 chars
--

OK * specfile written in American English
OK * make a -doc sub-package if necessary
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
OK * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
OK * use macros appropriately and consistently
OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
OK * consider using cp -p to preserve timestamps
NA * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
OK * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
OK * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
?? * verify the final provides and requires of the binary RPMs
?? * run rpmlint on the binary RPMs

SHOULD:
NA * package should include license text in the package and mark it with %doc
?? * package should build on i386
?? * package should build in mock


Comment 5 Nuno Santos 2007-02-20 21:52:17 UTC
Btw, this section:

%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

seems to be repeated in the spec file (lines 177-182)

Comment 6 Tania Bento 2007-02-21 16:53:38 UTC
> NO * rpmlint on <this package>.srpm gives no output
>  - justify warnings if you think they shouldn't be there
> 
> --
> $ rpmlint plexus-appserver-1.0-0.1.a5.3jpp.1.src.rpm 
> W: plexus-appserver mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 91)
> (minor warnings, should be fine)

Again, rpmlint does not generate this warning for me.

>Btw, this section:
>
>%if %{gcj_support}
>if [ -x %{_bindir}/rebuild-gcj-db ]
>then
>  %{_bindir}/rebuild-gcj-db
>fi
>%endif
>
>seems to be repeated in the spec file (lines 177-182)

Fixed.

If there's anything else let me know.  When I hear back from you, I'll build it
in mock.

Thanks.


Comment 7 Nuno Santos 2007-02-21 20:58:45 UTC
Marking fedora-review+

Comment 8 Dennis Gilmore 2007-03-12 03:19:17 UTC
please follow the procedure at http://fedoraproject.org/wiki/CVSAdminProcedure

Comment 9 Deepak Bhole 2007-03-12 13:36:06 UTC
New Package CVS Request
=======================
Package Name: plexus-appserver
Short Description: Plexus Application Server
Owners: dbhole@redhat.com
Branches: devel


Comment 10 Tania Bento 2007-03-12 20:55:57 UTC
There was an error in the spec file that I posted above.  This error was only
brought to my attention when trying to build another package that is dependent
on this one.  I fixed the error, built it on an i386 machine and built it on
mock.  Everything built fine.

Here is the link to an updated spec file and source rpm:

SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/291/plexus-appserver.spec

SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/292/plexus-appserver-1.0-0.1.a5.3jpp.1.src.rpm


Comment 11 Bernard Johnson 2007-04-11 22:48:54 UTC
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e


Note You need to log in before you can comment on or make changes to this bug.